Skip to content

API Reference

Groups

Classes and sections; exams are assigned to groups. Guide: Groups.

get/groups

List groups

Scope groups:read

Parameters

  • faculty_idquery · string
  • qquery · string
  • pagequery · integer
  • limitquery · integer
cURL
curl -X GET "https://serverless.grout.app/v1/groups" \
  -H "Authorization: Bearer $GROUT_API_KEY"
post/groups

Create a group

Scope groups:write

Body

  • namestring
  • descriptionstring
  • faculty_idstring
  • student_idsstring[]
cURL
curl -X POST "https://serverless.grout.app/v1/groups" \
  -H "Authorization: Bearer $GROUT_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"name":"<name>","description":"<description>","faculty_id":"<faculty_id>","student_ids":[]}'
get/groups/{id}

Get a group with members and exams

Scope groups:read

Parameters

  • idpath · stringrequired
cURL
curl -X GET "https://serverless.grout.app/v1/groups/$ID" \
  -H "Authorization: Bearer $GROUT_API_KEY"
patch/groups/{id}

Update a group (student_ids replaces membership)

Scope groups:write

Parameters

  • idpath · stringrequired
cURL
curl -X PATCH "https://serverless.grout.app/v1/groups/$ID" \
  -H "Authorization: Bearer $GROUT_API_KEY"
delete/groups/{id}

Delete a group

Scope groups:write

Parameters

  • idpath · stringrequired
cURL
curl -X DELETE "https://serverless.grout.app/v1/groups/$ID" \
  -H "Authorization: Bearer $GROUT_API_KEY"
post/groups/{id}/members

Add students to a group

Scope groups:write

Parameters

  • idpath · stringrequired

Body

  • student_idsstring[]
cURL
curl -X POST "https://serverless.grout.app/v1/groups/$ID/members" \
  -H "Authorization: Bearer $GROUT_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"student_ids":[]}'
delete/groups/{id}/members/{studentId}

Remove a student from a group

Scope groups:write

Parameters

  • idpath · stringrequired
  • studentIdpath · stringrequired
cURL
curl -X DELETE "https://serverless.grout.app/v1/groups/$ID/members/$STUDENTID" \
  -H "Authorization: Bearer $GROUT_API_KEY"